* Encoding: UTF-8.
* =================================================================================================
* ========================= INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS - INEC ===========================
* ================== DIRECCIN DE ESTADSTICAS AGROPECUARIAS Y AMBIENTALES - DEAGA ====================
* ========================== REGISTRO INTEGRAL DE RESIDUOS SLIDOS- GIRS 2015 ==========================
* ============================= SINTAXIS DE ELABORACIN DE INDICADORES================================
* ============================= ELABORADO POR: DEAGA===============================================
* ======================================= FEBRERO - MARZO 2017 ======================================
* ======================================= INDICADORES  ==============================================


***********************************MUNICIPIOS***********************************
******************CLCULO DE INDICADORES RESIDUOS 2015********


compute base = 1.
execute.

**************************INDICADOR 1*******************************************
*Gestin Directa.
IF (MR111 = 1) MGD = 1.
IF (MR111 = 2) MGD = 0 .
VARIABLE LABELS MGD 'Municipios con Gestin Directa' .
recode MGD (SYSMIS=0).
value labels MGD 1'Si' 0 'No'.

* Empresa Pblica.
IF (MR1131 = 1) MEP = 1.
VARIABLE LABELS MEP 'Municipios con Empresa Pblica' .
recode MEP (SYSMIS=0).
value labels MEP 1'Si' 0 'No'.

* Mancomunidad.
IF (MR112 = 1) MM = 1.
IF (MR112 = 2) MM = 0.
VARIABLE LABELS MM 'Municipios con Mancomunidad' .
recode MM (SYSMIS=0).
value labels MM 1'Si' 0 'No'.

* Empresa Pblica Mancomunada.
IF (MR1131 = 2) EPM = 1.
VARIABLE LABELS EPM 'Municipios con Empresa Pblica Mancomunada' .
recode EPM (SYSMIS=0).
value labels EPM 1'Si' 0 'No'.

frequencies MGD MEP MM EPM.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base MGD MEP MM EPM
/ptotal = total 'Nacional'
/TABLE= total + rgnatu + Provin by MGD+ MEP+ MM + EPM+ base
/STATISTICS= sum ( MGD (f8.0)'', MEP (f8.0)'', MM (f8.0)'',
EPM (f8.0)'') 
/STATISTICS= mean( MGD (f8.2)'', MEP (f8.2)'', MM (f8.2)'',
EPM (f8.2)'') sum(base(f8.0)'Municipios')
/title='Porcentaje de GADs Municipales que cuentan con un Modelo de Gestin'
/caption='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2015'.

**************************INDICADOR 2*******************************************

USE ALL.
COMPUTE filter_$=( MR411 = 1).
VARIABLE LABEL filter_$ 'MR411 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DATASET DECLARE Nacional. 
AGGREGATE 
  /OUTFILE='Nacional' 
  /BREAK=base 
  /MR41313_sum ' Calles barridas (manual): Total  Km'=SUM(MR41313) 
  /MR4143_sum ' Longitud de calles barridas mecnicamente: Total Km'=SUM(MR4143) 
  /MR4123_sum 'Total Calles susceptibles: Total  Km'=SUM(MR4123) 
  /Municipios=N.

value labels base 1 'Nacional'.
variable labels base 'Nacional'.

********Sumatoria de Vias Barridas (Manual y Mecanico)*****.
DATASET ACTIVATE Nacional.
COMPUTE VB = sum.1(MR41313_sum, MR4143_sum).
VARIABLE LABELS VB 'Vias Barridas'.
********Calculo de cobertura de servicio******************.
compute CSB = VB / MR4123_sum.
variable labels CSB 'Cobertura de Servicio de Barrido'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=base VB MR4123_sum CSB Municipios DISPLAY=LABEL 
  /TABLE base [C] BY VB [S][SUM] + MR4123_sum [S][SUM] + CSB [S][SUM] + Municipios [S][SUM] 
  /CATEGORIES VARIABLES=base ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='COBERTURA DE SERVICIO DE BARRIDO' 
    CAPTION='Fuente:AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos.'.
DATASET CLOSE Nacional.

DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
COMPUTE filter_$=( MR411 = 1).
VARIABLE LABEL filter_$ 'MR411 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DATASET DECLARE RegionNatural. 
AGGREGATE 
  /OUTFILE='RegionNatural' 
  /BREAK=rgnatu 
  /MR41313_sum ' Calles barridas (manual): Total  Km'=SUM(MR41313) 
  /MR4143_sum ' Longitud de calles barridas mecnicamente: Total Km'=SUM(MR4143) 
  /MR4123_sum 'Total Calles susceptibles: Total  Km'=SUM(MR4123) 
  /Municipios=N.

********Sumatoria de Vias Barridas (Manual y Mecanico)*****.
DATASET ACTIVATE RegionNatural.
COMPUTE VB = sum.1(MR41313_sum, MR4143_sum).
VARIABLE LABELS VB 'Vias Barridas'.
********Calculo de cobertura de servicio******************.
compute CSB = VB / MR4123_sum.
variable labels CSB 'Cobertura de Servicio de Barrido'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu VB MR4123_sum CSB Municipios DISPLAY=LABEL 
  /TABLE rgnatu [C] BY VB [S][SUM] + MR4123_sum [S][SUM] + CSB [S][SUM] + Municipios [S][SUM] 
  /CATEGORIES VARIABLES=rgnatu ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='COBERTURA DE SERVICIO DE BARRIDO, por Regiones Naturales' 
    CAPTION='Fuente:AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos.'.
DATASET CLOSE RegionNatural.

DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
COMPUTE filter_$=( MR411 = 1).
VARIABLE LABEL filter_$ 'MR411 = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

DATASET DECLARE Provincia. 
AGGREGATE 
  /OUTFILE='Provincia' 
  /BREAK=Provin 
  /MR41313_sum ' Calles barridas (manual): Total  Km'=SUM(MR41313) 
  /MR4143_sum ' Longitud de calles barridas mecnicamente: Total Km'=SUM(MR4143) 
  /MR4123_sum 'Total Calles susceptibles: Total  Km'=SUM(MR4123) 
  /Municipios=N.

********Sumatoria de Vias Barridas (Manual y Mecanico)*****.
DATASET ACTIVATE Provincia.
COMPUTE VB = sum.1(MR41313_sum, MR4143_sum).
VARIABLE LABELS VB 'Vias Barridas'.
********Calculo de cobertura de servicio******************.
compute CSB = VB / MR4123_sum.
variable labels CSB 'Cobertura de Servicio de Barrido'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=Provin VB MR4123_sum CSB Municipios DISPLAY=LABEL 
  /TABLE Provin [C] BY VB [S][SUM] + MR4123_sum [S][SUM] + CSB [S][SUM] + Municipios [S][SUM] 
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='COBERTURA DE SERVICIO DE BARRIDO, por Provincia' 
    CAPTION='Fuente:AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos.'.
DATASET CLOSE Provincia.
FILTER OFF.
USE ALL.

** mediante programa (Excel) cambiar a porcentaje la cobertura de servicio.

**************************INDICADOR 3*******************************************.
DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
*****Separacin en la Fuente a Nivel Domiciliar*****.
IF (MR423 = 1) MSF = 1 .
IF (MR423 = 2) MSF = 0 .
value labels MSF 1'Si' 0'No'.
VARIABLE LABELS MSF 'Municipios con Separacin en la Fuente' .
frequencies MSF.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MSF DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MSF [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=INCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=INCLUDE 
  /CATEGORIES VARIABLES=MSF ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER 
  /TITLES 
    TITLE='Proporcin de Gads Municipales que ha iniciado o mantienen Procesos de Separacin en '+ 
    'la Fuente: ' 
    CORNER='Regiones y Provincias' 
    CAPTION='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2015'.  

TABLES  /FORMAT BLANK MISSING('.')
/obser=base MSF
/ptotal = total 'Nacional'
/TABLE= total + rgnatu + Provin by MSF + base
/STATISTICS= SUM( MSF (f8.0)'') MEAN( MSF (f8.2)'') sum(base(f8.0)'Municipios')
/title='Proporcin de GADs con Procesos de Separacin en la Fuente'
/caption='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2015'.


**************************INDICADOR 4*******************************************

****Diferenciada suma de Orgnico e Inorgnico**********.
compute DIF = sum.1 (MR4422, MR4423).
variable  labels DIF 'Diferenciada:  ton/da'.

*** No diferenciada la resta de Total cantidad de residuos recolectados - Diferenciada.
compute DIF2 = DIF * -1.
compute NODIF = sum.1 (MR443, DIF2).
variable labels NODIF 'No Diferenciada: ton/da'.

DATASET DECLARE Nacional_Ind4. 
AGGREGATE 
  /OUTFILE='Nacional_Ind4' 
  /BREAK=base 
  /MR4422_sum 'Cantidad de residuos orgnicos recolectados toneladas/da     '=SUM(MR4422) 
  /MR4423_sum 'Cantidad de residuos inorgnicos recolectados toneladas/da'=SUM(MR4423) 
  /MR443_sum 'Cantidad de residuos slidos recolectados toneladas/da'=SUM(MR443) 
  /DIF_sum 'Diferenciada  toneladas/da'=SUM(DIF) 
  /NODIF_sum 'No Diferenciada  toneladas/da'=SUM(NODIF) 
  /Municipios=N.

DATASET ACTIVATE Nacional_Ind4.

compute PROR = MR4422_sum / DIF_sum * 100.
variable labels PROR 'Porcentaje de residuos orgnicos recolectados'.

compute PRIR = MR4423_sum / DIF_sum * 100.
variable labels PRIR 'Porcentaje de residuos inorgnicos recolectados'.

compute PDIF = DIF_sum / MR443_sum * 100.
variable labels PDIF 'Porcentaje Diferenciada'.

compute PNODIF = NODIF_sum / MR443_sum * 100.
variable labels PNODIF 'Porcentaje No Diferenciada '.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=base MR4422_sum PROR MR4423_sum PRIR DIF_sum PDIF NODIF_sum PNODIF MR443_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE base BY MR4422_sum [SUM] + PROR [SUM] + MR4423_sum [SUM] + PRIR [SUM] + DIF_sum [SUM] + 
    PDIF [SUM] + NODIF_sum [SUM] + PNODIF [SUM] + MR443_sum [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=base ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Residuos Slidos Recolectados (Toneladas/da)' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Nacional_Ind4.

DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
DATASET DECLARE Region_Ind4. 
AGGREGATE 
  /OUTFILE='Region_Ind4' 
  /BREAK=rgnatu 
  /MR4422_sum 'Cantidad de residuos orgnicos recolectados toneladas/da     '=SUM(MR4422) 
  /MR4423_sum 'Cantidad de residuos inorgnicos recolectados toneladas/da'=SUM(MR4423) 
  /MR443_sum 'Cantidad de residuos slidos recolectados toneladas/da'=SUM(MR443) 
  /DIF_sum 'Diferenciada  toneladas/da'=SUM(DIF) 
  /NODIF_sum 'No Diferenciada  toneladas/da'=SUM(NODIF) 
  /Municipios=N.

DATASET ACTIVATE Region_Ind4.

compute PROR = MR4422_sum / DIF_sum * 100.
variable labels PROR 'Porcentaje de residuos orgnicos recolectados'.

compute PRIR = MR4423_sum / DIF_sum * 100.
variable labels PRIR 'Porcentaje de residuos inorgnicos recolectados'.

compute PDIF = DIF_sum / MR443_sum * 100.
variable labels PDIF 'Porcentaje Diferenciada'.

compute PNODIF = NODIF_sum / MR443_sum * 100.
variable labels PNODIF 'Porcentaje No Diferenciada '.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu MR4422_sum PROR MR4423_sum PRIR DIF_sum PDIF NODIF_sum PNODIF MR443_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE rgnatu BY MR4422_sum [SUM] + PROR [SUM] + MR4423_sum [SUM] + PRIR [SUM] + DIF_sum [SUM] + 
    PDIF [SUM] + NODIF_sum [SUM] + PNODIF [SUM] + MR443_sum [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=rgnatu ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Residuos Slidos Recolectados (Toneladas/da), por Regiones Naturales' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Region_Ind4.

DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
DATASET DECLARE Provincia_Ind4. 
AGGREGATE 
  /OUTFILE='Provincia_Ind4' 
  /BREAK=Provin 
  /MR4422_sum 'Cantidad de residuos orgnicos recolectados toneladas/da     '=SUM(MR4422) 
  /MR4423_sum 'Cantidad de residuos inorgnicos recolectados toneladas/da'=SUM(MR4423) 
  /MR443_sum 'Cantidad de residuos slidos recolectados toneladas/da'=SUM(MR443) 
  /DIF_sum 'Diferenciada  toneladas/da'=SUM(DIF) 
  /NODIF_sum 'No Diferenciada  toneladas/da'=SUM(NODIF) 
  /Municipios=N.

DATASET ACTIVATE Provincia_Ind4.

compute PROR = MR4422_sum / DIF_sum * 100.
variable labels PROR 'Porcentaje de residuos orgnicos recolectados'.

compute PRIR = MR4423_sum / DIF_sum * 100.
variable labels PRIR 'Porcentaje de residuos inorgnicos recolectados'.

compute PDIF = DIF_sum / MR443_sum * 100.
variable labels PDIF 'Porcentaje Diferenciada'.

compute PNODIF = NODIF_sum / MR443_sum * 100.
variable labels PNODIF 'Porcentaje No Diferenciada '.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=Provin MR4422_sum PROR MR4423_sum PRIR DIF_sum PDIF NODIF_sum PNODIF MR443_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE Provin BY MR4422_sum [SUM] + PROR [SUM] + MR4423_sum [SUM] + PRIR [SUM] + DIF_sum [SUM] + 
    PDIF [SUM] + NODIF_sum [SUM] + PNODIF [SUM] + MR443_sum [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Residuos Slidos Recolectados (Toneladas/da), por Provincia' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Provincia_Ind4.

**************************INDICADOR 5*******************************************

DATASET ACTIVATE ConjuntoDatos1.
USE ALL.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR451 DISPLAY=LABEL
  /TABLE rgnatu [COUNT F40.0, ROWPCT.COUNT PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.COUNT PCT40.2] 
    BY MR451
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00, 5.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=MR451 [4, 3, 2, 1, OTHERNM] EMPTY=INCLUDE TOTAL=YES LABEL='Municipios' 
    POSITION=AFTER
  /TITLES
    TITLE='Para la Disposicin Final de los Residuos Slidos, el Municipio cuenta con:'
    CAPTION='Fuente: INEC - Municipios - Gestin Integral de Residuos Slidos 2015'.


**************************INDICADOR 6*******************************************

IF (MR4633 = 1) RDES = 1.
IF (MR4633 = 2) RDES = 0.
value labels RDES 1'Si' 0'No'.
VARIABLE LABELS RDES 'Municipios con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos' .
frequencies RDES.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin RDES DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY RDES [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=RDES ORDER=D KEY=VALUE EMPTY=EXCLUDE TOTAL=YES LABEL='Municipios' 
    POSITION=AFTER 
   /TITLES 
    TITLE='Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios '+ 
    'Peligrosos.' '' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2015'.

TABLES  /FORMAT BLANK MISSING('.')
/obser=base RDES
/ptotal = total 'Nacional'
/TABLE= total + rgnatu + Provin by RDES + base
/STATISTICS= SUM( RDES (f8.0)'') MEAN( RDES (f8.2)'') sum(base(f8.0)'Municipios')
/title='Municipios que cuentan con Recoleccin Diferenciada de Desechos Sanitarios Peligrosos'
/caption='Fuente: INEC -Municipios - Gestin Integral de Residuos Slidos 2015'.


**************************INDICADOR 7*******************************************

if (MR46342 = 1 ) MFDPES = 1.
if (MR463411 = 1 ) MFDPES = 2.
if (MR463411 = 2 ) MFDPES = 3.
if (MR463411 = 3 OR MR463411 = 4 ) MFDPES = 4.
if (MR4634 = 2 ) MFDPES = 5.
value labels MFDPES
1 'Celda Exclusiva'
2 'Autoclave'
3 'Incineracin'
4 'Otros'
5 'No cuenta con sistema de tratamiento y/o disposicin final Desechos Peligrosos Sanitarios'.
variable labels MFDPES 'Manejo Final de Desechos Peligrosos Generados de Establecimientos de Salud'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu Provin MFDPES DISPLAY=LABEL 
  /TABLE rgnatu [C][COUNT F40.0, ROWPCT.VALIDN PCT40.2] + Provin [C][COUNT F40.0, ROWPCT.VALIDN 
    PCT40.2] BY MFDPES [C] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00] EMPTY=EXCLUDE TOTAL=YES LABEL='Nacional' 
    POSITION=BEFORE 
  /CATEGORIES VARIABLES=Provin [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 
    20, 21, 22, 23, 24] EMPTY=EXCLUDE 
  /CATEGORIES VARIABLES=MFDPES ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES LABEL='Municipios' 
    POSITION=AFTER 
   /TITLES 
    TITLE='Manejo Final de Desechos Peligrosos generados de Establecimientos de Salud.' '' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2015'.

**************************INDICADOR 8*******************************************

compute costo = sum.1 ( MR2111, MR2121, MR2131, MR2141, MR2151, MR2161).

*****Gasto total************.
compute CT = sum.1 ( costo, MR218).
variable labels CT 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'.

**** Ingreso Mensual******.
compute IM = MR23.
variable labels IM 'Ingresos mensuales por concepto de Tasa/Tarifa u Otros ingresos de la GIRS'. 

****Subsidio Porcentual*******.
compute CT2 = CT * -1.
compute SP = sum.1 ( IM, CT2).
compute DCI = SP * -1.
variable labels DCI 'Valor Subsidiado de la Gestin Integral de Residuos Slidos'.
compute SPGIRS = (SP / CT) * -100.
variable labels SPGIRS 'Porcentaje de Subsidio Gestin Integral de Residuos Slidos'.

USE ALL. 
COMPUTE filter_$=(SPGIRS > 0). 
VARIABLE LABELS filter_$ 'SPGIRS > 0 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

DATASET DECLARE Nacional8. 
AGGREGATE 
  /OUTFILE='Nacional8' 
  /BREAK=base 
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /IM_sum 'Ingresos mensuales por concepto de Tasa/Tarifa u Otros ingresos de la GIRS'=SUM(IM) 
  /DCI_sum 'Valor Subsidiado de la Gestin Integral de Residuos Slidos'=SUM(DCI) 
  /Municipios=N.

DATASET ACTIVATE Nacional8.
compute PSGIRS = DCI_sum / CT_sum.
variable labels PSGIRS 'Porcentaje de Subsidio Gestin Integral de Residuos Slidos'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=base CT_sum IM_sum DCI_sum PSGIRS Municipios DISPLAY=LABEL 
  /TABLE base BY CT_sum [SUM] + IM_sum [SUM] + DCI_sum [SUM] + PSGIRS [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=base ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Subsidio de la Gestin Integral de Residuos Slidos' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2015'.
DATASET CLOSE Nacional8.

DATASET ACTIVATE ConjuntoDatos1.

USE ALL. 
COMPUTE filter_$=(SPGIRS > 0). 
VARIABLE LABELS filter_$ 'SPGIRS > 0 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

DATASET DECLARE RegionNatural8. 
AGGREGATE 
  /OUTFILE='RegionNatural8' 
  /BREAK=rgnatu 
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /IM_sum 'Ingresos mensuales por concepto de Tasa/Tarifa u Otros ingresos de la GIRS'=SUM(IM) 
  /DCI_sum 'Valor Subsidiado de la Gestin Integral de Residuos Slidos'=SUM(DCI) 
  /Municipios=N.

DATASET ACTIVATE RegionNatural8.
compute PSGIRS = DCI_sum / CT_sum.
variable labels PSGIRS 'Porcentaje de Subsidio Gestin Integral de Residuos Slidos'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu CT_sum IM_sum DCI_sum PSGIRS Municipios DISPLAY=LABEL 
  /TABLE rgnatu BY CT_sum [SUM] + IM_sum [SUM] + DCI_sum [SUM] + PSGIRS [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=rgnatu ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES 
    TITLE='Subsidio de la Gestin Integral de Residuos Slidos, por Regiones Naturales' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2015'.
DATASET CLOSE RegionNatural8.

DATASET ACTIVATE ConjuntoDatos1.

USE ALL. 
COMPUTE filter_$=(SPGIRS > 0). 
VARIABLE LABELS filter_$ 'SPGIRS > 0 (FILTER)'. 
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'. 
FORMATS filter_$ (f1.0). 
FILTER BY filter_$. 
EXECUTE.

DATASET DECLARE Provincia8. 
AGGREGATE 
  /OUTFILE='Provincia8' 
  /BREAK=Provin 
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /IM_sum 'Ingresos mensuales por concepto de Tasa/Tarifa u Otros ingresos de la GIRS'=SUM(IM) 
  /DCI_sum 'Valor Subsidiado de la Gestin Integral de Residuos Slidos'=SUM(DCI) 
  /Municipios=N.

DATASET ACTIVATE Provincia8.
compute PSGIRS = DCI_sum / CT_sum.
variable labels PSGIRS 'Porcentaje de Subsidio Gestin Integral de Residuos Slidos'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=Provin CT_sum IM_sum DCI_sum PSGIRS Municipios DISPLAY=LABEL 
  /TABLE Provin BY CT_sum [SUM] + IM_sum [SUM] + DCI_sum [SUM] + PSGIRS [SUM] + Municipios [SUM] 
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Subsidio de la Gestin Integral de Residuos Slidos, por Provincias' 
    CAPTION='Fuente: INEC - AME- Municipios-Registro Integral de Residuos Slidos -GIRS 2015'.
DATASET CLOSE Provincia8.

filter off.
use all.

** mediante programa (Excel) cambiar a porcentaje el subsidio recibido.

**************************INDICADOR 9*******************************************.

DATASET ACTIVATE ConjuntoDatos1.
use all.

***transformacion de variables del indicador a una unidad unica de volumen/tiempo****.
compute ROTZU = MR4341 / 1000.
variable labels ROTZU 'Cantidad de Residuos Orgnicos Tratados en la Zona Urbana: Tonelada/mes'.

compute ROTZR = MR4342 / 1000.
variable labels ROTZR 'Cantidad de Residuos Orgnicos Tratados en la Zona Rural: Tonelada/mes'.

compute TROT = sum.1 (ROTZU, ROTZR).
variable labels TROT 'Cantidad Total de Residuos Orgnicos Tratados: Tonelada/mes'.

compute RI = sum.1 (MR4241, MR4242, MR4243, MR4244, MR4245, MR4246, MR4247, MR4248).
compute RIR = RI / 1000.
variable labels RIR 'Residuos Inorgnicos Recuperados: Tonelada/mes'.

compute CRR = MR443 * 30.
variable labels CRR 'Cantidad de Residuos Slidos Recolectados: Tonelada/mes'.

DATASET DECLARE Nacional10.
AGGREGATE
  /OUTFILE='Nacional10'
  /BREAK=base
  /ROTZU_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Urbana: Tonelada/mes'=SUM(ROTZU) 
  /ROTZR_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Rural: Tonelada/mes'=SUM(ROTZR) 
  /TROT_sum 'Cantidad Total de Residuos Orgnicos Tratados: Tonelada/mes'=SUM(TROT) 
  /RIR_sum 'Residuos Inorgnicos Recuperados: Tonelada/mes'=SUM(RIR) 
  /CRR_sum 'Cantidad de Residuos Slidos Recolectados: Tonelada/mes'=SUM(CRR)
  /Municipios=N.

DATASET ACTIVATE Nacional10.

compute RROTZU = ROTZU_sum / CRR_sum * 100.
variable labels RROTZU '% Recuperacin Residuos Orgnicos Tratados en la Zona Urbana'.

compute RROTZR = ROTZR_sum / CRR_sum * 100.
variable labels RROTZR '% Recuperacin Residuos Orgnicos Tratados en la Zona Rural'.

compute RTROT = TROT_sum / CRR_sum * 100.
variable labels RTROT '% Recuperacin Residuos Orgnicos Tratados'.

compute RRIR = RIR_sum / CRR_sum * 100.
variable labels RRIR '% Recuperacin Residuos Inorgnicos Recuperados'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=base ROTZU_sum RROTZU ROTZR_sum RROTZR TROT_sum RTROT RIR_sum RRIR CRR_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE base [C] BY ROTZU_sum [S][SUM] + RROTZU [S][SUM] + ROTZR_sum [S][SUM] + RROTZR [S][SUM] + 
    TROT_sum [S][SUM] + RTROT [S][SUM] + RIR_sum [S][SUM] + RRIR [S][SUM] + CRR_sum [S][SUM] + 
    Municipios [S][SUM] 
  /CATEGORIES VARIABLES=base ORDER=A KEY=VALUE EMPTY=INCLUDE 
  /TITLES 
    TITLE='Proporcin de Residuos Slidos Recuperados' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Nacional10.

DATASET ACTIVATE ConjuntoDatos1.
use all.

DATASET DECLARE RegionNatutal10.
AGGREGATE
  /OUTFILE='RegionNatutal10'
  /BREAK=rgnatu
  /ROTZU_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Urbana: Tonelada/mes'=SUM(ROTZU) 
  /ROTZR_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Rural: Tonelada/mes'=SUM(ROTZR) 
  /TROT_sum 'Cantidad Total de Residuos Orgnicos Tratados: Tonelada/mes'=SUM(TROT) 
  /RIR_sum 'Residuos Inorgnicos Recuperados: Tonelada/mes'=SUM(RIR) 
  /CRR_sum 'Cantidad de Residuos Slidos Recolectados: Tonelada/mes'=SUM(CRR)
  /Municipios=N.

DATASET ACTIVATE RegionNatutal10.

compute RROTZU = ROTZU_sum / CRR_sum * 100.
variable labels RROTZU '% Recuperacin Residuos Orgnicos Tratados en la Zona Urbana'.

compute RROTZR = ROTZR_sum / CRR_sum * 100.
variable labels RROTZR '% Recuperacin Residuos Orgnicos Tratados en la Zona Rural'.

compute RTROT = TROT_sum / CRR_sum * 100.
variable labels RTROT '% Recuperacin Residuos Orgnicos Tratados'.

compute RRIR = RIR_sum / CRR_sum * 100.
variable labels RRIR '% Recuperacin Residuos Inorgnicos Recuperados'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=rgnatu ROTZU_sum RROTZU ROTZR_sum RROTZR TROT_sum RTROT RIR_sum RRIR CRR_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE rgnatu [C] BY ROTZU_sum [S][SUM] + RROTZU [S][SUM] + ROTZR_sum [S][SUM] + RROTZR [S][SUM] + 
    TROT_sum [S][SUM] + RTROT [S][SUM] + RIR_sum [S][SUM] + RRIR [S][SUM] + CRR_sum [S][SUM] + 
    Municipios [S][SUM] 
  /CATEGORIES VARIABLES=rgnatu ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Proporcin de Residuos Slidos Recuperados, por Regiones Naturales' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE RegionNatutal10.


DATASET ACTIVATE ConjuntoDatos1.
use all.

DATASET DECLARE Provincia10.
AGGREGATE
  /OUTFILE='Provincia10'
  /BREAK=Provin
  /ROTZU_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Urbana: Tonelada/mes'=SUM(ROTZU) 
  /ROTZR_sum 'Cantidad de Residuos Orgnicos Tratados en la Zona Rural: Tonelada/mes'=SUM(ROTZR) 
  /TROT_sum 'Cantidad Total de Residuos Orgnicos Tratados: Tonelada/mes'=SUM(TROT) 
  /RIR_sum 'Residuos Inorgnicos Recuperados: Tonelada/mes'=SUM(RIR) 
  /CRR_sum 'Cantidad de Residuos Slidos Recolectados: Tonelada/mes'=SUM(CRR)
  /Municipios=N.

DATASET ACTIVATE Provincia10.

compute RROTZU = ROTZU_sum / CRR_sum * 100.
variable labels RROTZU '% Recuperacin Residuos Orgnicos Tratados en la Zona Urbana'.

compute RROTZR = ROTZR_sum / CRR_sum * 100.
variable labels RROTZR '% Recuperacin Residuos Orgnicos Tratados en la Zona Rural'.

compute RTROT = TROT_sum / CRR_sum * 100.
variable labels RTROT '% Recuperacin Residuos Orgnicos Tratados'.

compute RRIR = RIR_sum / CRR_sum * 100.
variable labels RRIR '% Recuperacin Residuos Inorgnicos Recuperados'.

* Tablas personalizadas. 
CTABLES 
  /VLABELS VARIABLES=Provin ROTZU_sum RROTZU ROTZR_sum RROTZR TROT_sum RTROT RIR_sum RRIR CRR_sum 
    Municipios 
    DISPLAY=LABEL 
  /TABLE Provin [C] BY ROTZU_sum [S][SUM] + RROTZU [S][SUM] + ROTZR_sum [S][SUM] + RROTZR [S][SUM] + 
    TROT_sum [S][SUM] + RTROT [S][SUM] + RIR_sum [S][SUM] + RRIR [S][SUM] + CRR_sum [S][SUM] + 
    Municipios [S][SUM] 
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE 
  /TITLES 
    TITLE='Proporcin de Residuos Slidos Recuperados, por Provincia' 
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Provincia10.


**************************INDICADOR 10*******************************************

DATASET ACTIVATE ConjuntoDatos1.
use all.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu Provin MR4221 DISPLAY=LABEL
  /TABLE rgnatu [C] + Provin [C] BY MR4221 [S][MEAN, VALIDN F40.0] 
  /CATEGORIES VARIABLES=rgnatu [1.00, 2.00, 3.00, 4.00, 5.00, OTHERNM] EMPTY=EXCLUDE TOTAL=YES 
    LABEL='Nacional' POSITION=BEFORE
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Produccin Per Cpita de Desechos Slidos (Urbano)'
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos.'.


**************************INDICADOR 11*******************************************

DATASET ACTIVATE ConjuntoDatos1.
DATASET DECLARE Nacional12.
AGGREGATE
  /OUTFILE='Nacional12'
  /BREAK=base
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /MR25_sum 'Toneladas recolectadas al mes'=SUM(MR25)
  /Municipios=N.

DATASET ACTIVATE Nacional12.

compute CTGIRS = CT_sum / MR25_sum.
variable labels CTGIRS 'Costo Tonelada/mes de la Gestin Integral de Residuos Slidos: USD/mes'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=base CT_sum MR25_sum CTGIRS Municipios DISPLAY=LABEL
  /TABLE base BY CT_sum [SUM] + MR25_sum [SUM] + CTGIRS [SUM] + Municipios [SUM]
  /CATEGORIES VARIABLES=base ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='Costo de Gestin Mensual por tonelada de Basura'
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Nacional12.

DATASET ACTIVATE ConjuntoDatos1.
DATASET DECLARE RegionNatural12.
AGGREGATE
  /OUTFILE='RegionNatural12'
  /BREAK=rgnatu
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /MR25_sum 'Toneladas recolectadas al mes'=SUM(MR25)
  /Municipios=N.

DATASET ACTIVATE RegionNatural12.

compute CTGIRS = CT_sum / MR25_sum.
variable labels CTGIRS 'Costo Tonelada/mes de la Gestin Integral de Residuos Slidos: USD/mes'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rgnatu CT_sum MR25_sum CTGIRS Municipios DISPLAY=LABEL
  /TABLE rgnatu BY CT_sum [SUM] + MR25_sum [SUM] + CTGIRS [SUM] + Municipios [SUM]
  /CATEGORIES VARIABLES=rgnatu ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Costo de Gestin Mensual por tonelada de Basura'
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE RegionNatural12.

DATASET ACTIVATE ConjuntoDatos1.
DATASET DECLARE Provincia12.
AGGREGATE
  /OUTFILE='Provincia12'
  /BREAK=Provin
  /CT_sum 'Gasto Total por Gestin Integral de Residuos Slidos: Dlares/mes'=SUM(CT) 
  /MR25_sum 'Toneladas recolectadas al mes'=SUM(MR25)
  /Municipios=N.

DATASET ACTIVATE Provincia12.

compute CTGIRS = CT_sum / MR25_sum.
variable labels CTGIRS 'Costo Tonelada/mes de la Gestin Integral de Residuos Slidos: USD/mes'.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=Provin CT_sum MR25_sum CTGIRS Municipios DISPLAY=LABEL
  /TABLE Provin BY CT_sum [SUM] + MR25_sum [SUM] + CTGIRS [SUM] + Municipios [SUM]
  /CATEGORIES VARIABLES=Provin ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /TITLES
    TITLE='Costo de Gestin Mensual por tonelada de Basura'
    CAPTION='Fuente: AME-INEC. 2015, Registro de Gestin Integral de Residuos Slidos'.
DATASET CLOSE Provincia12.
DATASET ACTIVATE ConjuntoDatos1.

**************************************FIN**********************************************
****************************************************************************************




